MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025220Community[OCCT] OCCT:Modeling Algorithmspublic2014-09-05 19:422016-12-09 16:38
Reporterspamkiller 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025220: Using BRepFill_OffsetWire withs wires containing arc edges throws exception "Standard_NullValue"
DescriptionUsing BRepFill_OffsetWire with a wire containing an arc edge (e.g. a rectangle with round corners) leads to an offset arc with reduced radius (offset the rectangle to the "inner" side) (that is ok). If the offset distance is very large, the arc "disappears" from the resulting offset wire (that is ok).

The Problem is: there are certain distances for which the arc radius becomes "nearly" 0 (in my case ~1E-15). "BRepFill_OffsetWire::PerformWithBiLo" calls "BRepFill_TrimEdgeTool::IntersectWith" with an arc edge with *very* small radius. Deeper in the code at "EvalParameters()" (BRepFill_TrimEdgeTool) calls "Intersector = Geom2dInt_GInter(CAC, CBis, Tol, Tol);" and the exception is thrown.

BRepFill_OffsetWire catches all exceptions, but of course there is no result. If I change the radius right from the debugger to e.g. "1", no exception is thrown and there is a result (a slightly wrong result of course).

Steps To ReproduceTry to execute BRepFill_OffsetWire on the attached face/wire with an offset distance "5" (no result). Try it with "5.01" (result ok).

DRAW commands to reproduce the problem:

pload MODELING
restore B1.brep a
mkoffset r a 1 -5

Output:
An exception was caught in BRepFill_OffsetWire::Perform : 000007FEEE452B38 : Standard_NullValue:
 Error: Offset is not done.
TagsNo tags attached.
Test case numberbugs modalg_6 bug25220
Attached Files? file icon B1.brep (5,241 bytes) 2014-09-05 19:42

- Relationships

-  Notes
(0057096)
git (administrator)
2016-08-26 15:17

Branch CR25220 has been created by inv.

SHA-1: f84563418f0517d558a6ed9073dea43e0fcd92ba


Detailed log of new commits:

Author: bugmaster
Date: Fri Aug 26 15:19:19 2016 +0300

    0025220: Using BRepFill_OffsetWire withs wires containing arc edges throws exception "Standard_NullValue"
    Adding testing case
(0057100)
bugmaster (administrator)
2016-08-26 15:19

Problem is not reproduced on current state of master
(0059543)
git (administrator)
2016-10-28 21:48

Branch CR25220 has been deleted by kgv.

SHA-1: f84563418f0517d558a6ed9073dea43e0fcd92ba

- Related Changesets
occt: master 87b48b40
Timestamp: 2016-08-26 12:19:19
Author: bugmaster
Details ] Diff ]
0025220: Using BRepFill_OffsetWire withs wires containing arc edges throws exception "Standard_NullValue"
Adding testing case
add - tests/bugs/modalg_6/bug25220 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-05 19:42 spamkiller New Issue
2014-09-05 19:42 spamkiller Assigned To => ifv
2014-09-05 19:42 spamkiller File Added: B1.brep
2014-09-11 17:44 abv Target Version => 7.1.0
2014-09-11 17:44 abv Steps to Reproduce Updated View Revisions
2016-08-26 15:17 git Note Added: 0057096
2016-08-26 15:18 bugmaster Assigned To ifv => bugmaster
2016-08-26 15:19 bugmaster Assigned To bugmaster => msv
2016-08-26 15:19 bugmaster Status new => resolved
2016-08-26 15:19 bugmaster Note Added: 0057100
2016-08-26 15:19 bugmaster Assigned To msv => bugmaster
2016-08-26 15:19 bugmaster Status resolved => reviewed
2016-08-26 15:20 bugmaster Test case number => bugs modalg_6 bug25220
2016-08-26 15:20 bugmaster Status reviewed => tested
2016-09-02 10:27 bugmaster Changeset attached => occt master 87b48b40
2016-09-02 10:27 bugmaster Status tested => verified
2016-09-02 10:27 bugmaster Resolution open => fixed
2016-10-28 21:48 git Note Added: 0059543
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker